Data(3U)

NAME
Data - object containing undo information for storage in a command

SYNOPSIS
#include <Unidraw/Command/data.h>

DESCRIPTION
Data is an abstract base class for objects that components store in commands they (un)interpret. Components use Data subclasses to store whatever information they need to uninterpret the command.

PROTECTED OPERATIONS

Data()
    The constructor is protected to prevent instantiation.

SEE ALSO
Command(3U), Component(3U), Resource(3I)